Skip to main content
GET
/
chipi-wallets
/
by-user
curl -X GET "https://api.chipipay.com/v1/chipi-wallets/by-user?externalUserId=user_123" \
  -H "Authorization: Bearer sk_prod_xxxx" \
  -H "x-api-key: pk_xxxx" \
  -H "Content-Type: application/json"
{
  "id": "wallet_abc123",
  "externalUserId": "user_123",
  "organizationId": "org_xyz",
  "apiPublicKey": "pk_xxxx",
  "publicKey": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
  "normalizedPublicKey": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
  "encryptedPrivateKey": "U2FsdGVkX1...",
  "isDeployed": true,
  "walletType": "CHIPI",
  "chain": "STARKNET",
  "createdAt": "2025-01-15T10:30:00Z",
  "updatedAt": "2025-01-15T10:30:00Z"
}
curl -X GET "https://api.chipipay.com/v1/chipi-wallets/by-user?externalUserId=user_123" \
  -H "Authorization: Bearer sk_prod_xxxx" \
  -H "x-api-key: pk_xxxx" \
  -H "Content-Type: application/json"
{
  "id": "wallet_abc123",
  "externalUserId": "user_123",
  "organizationId": "org_xyz",
  "apiPublicKey": "pk_xxxx",
  "publicKey": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
  "normalizedPublicKey": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
  "encryptedPrivateKey": "U2FsdGVkX1...",
  "isDeployed": true,
  "walletType": "CHIPI",
  "chain": "STARKNET",
  "createdAt": "2025-01-15T10:30:00Z",
  "updatedAt": "2025-01-15T10:30:00Z"
}

Authorizations

Authorization
string
header
required

Bearer token — use your secret key (sk_prod_xxx) for server-side calls, or the user's JWT for client-side calls

x-api-key
string
header
required

Your Chipi public API key (pk_xxx)

Query Parameters

externalUserId
string
required

Your application's user identifier

Response

Wallet found

id
string
required

Internal wallet identifier

externalUserId
string
required

Your application's user identifier

apiPublicKey
string
required

The API key used to create this wallet

publicKey
string
required

The wallet's Starknet address (account contract address)

normalizedPublicKey
string
required

Lowercase, zero-padded version of the public key

encryptedPrivateKey
string
required

AES-encrypted private key (decryptable only with the user's encrypt key)

isDeployed
boolean
required

Whether the account contract has been deployed on-chain

walletType
enum<string>
required

Wallet account type. CHIPI uses OpenZeppelin account. READY uses Argent X account.

Available options:
CHIPI,
READY
chain
enum<string>
required

Blockchain network identifier

Available options:
STARKNET,
BASE,
ARBITRUM,
OPTIMISM,
ROOTSTOCK,
SCROLL,
WORLDCHAIN
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
organizationId
string | null

Organization that owns this wallet